﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace InfoSistem.Profesor
{
    public partial class frmDodajProfesora : Form
    {
        public frmDodajProfesora()
        {
            InitializeComponent();
        }

        private void profesorBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.profesorBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.eTS_NT_PRAKSADataSet);

        }

        private void profesorBindingNavigatorSaveItem_Click_1(object sender, EventArgs e)
        {
            this.Validate();
            this.profesorBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.eTS_NT_PRAKSADataSet);

        }

        private void frmDodajProfesora_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'eTS_NT_PRAKSADataSet.profesor' table. You can move, or remove it, as needed.
            this.profesorTableAdapter.Fill(this.eTS_NT_PRAKSADataSet.profesor);

        }

        private void btnDodaj_Click(object sender, EventArgs e)
        {
            if (iMETextBox.Text.Length < 3)
            {
                MessageBox.Show("Niste uneli ime u dobrom formatu!");
                iMETextBox.Clear();
                iMETextBox.Text = "";
                return;
            }


            if (pREZIMETextBox.Text.Length < 3)
            {
                MessageBox.Show("Niste uneli prezime u dobrom formatu!");

                pREZIMETextBox.Clear();

                return;
            }

            int id;

            // LINQ upiti
            var pronadjeniID = eTS_NT_PRAKSADataSet.profesor.Max(p => p.ID_PROFESORA);

            // int
            // y = 9.92
            // p = (int)y

            id = Convert.ToInt32(pronadjeniID);

            if (profesorTableAdapter.Insert((short)++id, iMETextBox.Text, pREZIMETextBox.Text, zVANJETextBox.Text, dATUM_ZAPDateTimePicker.Value) == 1)
            {
                MessageBox.Show("Uspesno ste dodali profesora");
            }
            else
            {
                MessageBox.Show("Niste uspeli da dodate profesora");
            }

        }
        public static void funkcija(int x)
        {
            MessageBox.Show("ETS NT");

        }
    }
}
