﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace InfoSistem.Profesor
{
    public partial class frmPromenaPretraga : Form
    {
        public frmPromenaPretraga()
        {
            InitializeComponent();
        }

        private void frmPromenaPretraga_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'eTS_NT_PRAKSADataSet.profesor' table. You can move, or remove it, as needed.
            this.profesorTableAdapter.Fill(this.eTS_NT_PRAKSADataSet.profesor);
            
            
            //frmDodajProfesora.funkcija();

        }

        private void btnFiltriraj_Click(object sender, EventArgs e)
        {
            profesorBindingSource.Filter = $" [ime] LIKE '%{iMETextBox.Text}%'" +
                                           $" and [prezime] LIKE '%{pREZIMETextBox.Text}%' " +
                                           $" and [zvanje] LIKE '%{zVANJETextBox.Text}%'";

            tabControl.SelectTab(1);


        }

        private void btnSacuvaj_Click(object sender, EventArgs e)
        {

            if (MessageBox.Show("Da li ste sigurni", "Provera", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.Yes)
            {
                    profesorBindingSource.EndEdit();

                    profesorTableAdapter.Update(eTS_NT_PRAKSADataSet.profesor);

                    tabControl.SelectTab(1);

            }
            else
            {
                 profesorBindingSource.CancelEdit();
            }
        }

        private void btnSortiraj_Click(object sender, EventArgs e)
        {

            profesorBindingSource.Sort = "Prezime ASC";

        }

        
    }
}
