﻿using InfoSistem.Klase;
using InfoSistem.Profesor;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace InfoSistem
{
    public partial class Form1 : Form
    {
        public static Korisnik korisnik=null;
        public Form frm;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            new frmLogin().ShowDialog();
            if (korisnik==null) { 
                this.Close();
            }
            tssVremePocetka.Text = $"Vreme: {DateTime.Now.ToString("H:mm")}";
            tssKorisnik.Text = $"Korisnik: {korisnik.Ime} {korisnik.Prezime}";
        }

        private void promenaIPretragaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (frm != null)
            {
                frm.Close();
            }

            frm = new Profesor.frmPromenaPretraga();
            otvoriFormu(frm);
        }

        private void otvoriFormu(Form frm)
        {
            frm.MdiParent= this;
            frm.Show();
        }

        private void unosToolStripMenuItem_Click(object sender, EventArgs e)
        {

            if (frm != null)
            {
                frm.Close();
            }

            frm = new Profesor.frmDodajProfesora();
            
            otvoriFormu(frm);

        }

        private void pregledStudenataToolStripMenuItem_Click(object sender, EventArgs e)
        {

            if (frm != null)
            {
                frm.Close();
            }

            frm = new Student.frmPromenaPretragaStudenata();

            otvoriFormu(frm);
        }
    }
}
